<div class="modal fade" id="uploadPicModal" tabindex="-1" role="dialog" aria-labelledby="uploadPicModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="uploadPicModalLabel">{{ 'upload.pic.label'|trans({}, 'frontends') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="container">

                    <div class="row mb-3">
                        <div class="col">

                            <div id="modal-upload-translations-label" data-change-label="{{ 'change.label'|trans({}, 'frontends') }}"
                                 data-browse-label="{{ 'browse.label'|trans({}, 'frontends') }}" data-preview-label="{{ 'preview.label'|trans({}, 'frontends') }}"></div>

                            <form id="form-upload-picture" action="{{ url('user_upload_picture') }}" method="post" enctype="multipart/form-data">
                                <div id="upload_picture_error"><label></label></div>

                                {# the argument of csrf_token() is an arbitrary value used to generate the token #}
                                <input id="hdn-token-upload-pic" type="hidden" name="token" value="{{ csrf_token('upload_picture') }}" />

                                <div class="input-group mb-3 image-preview">
                                    <div class="custom-file image-preview-input">
                                        <input type="file" accept="image/png, image/jpeg, image/gif" class="custom-file-input image-preview-input-title" name="image" id="inp-upload-pic" >
                                        <label class="custom-file-label image-preview-filename" for="inp-upload-pic">{{ 'choose.file.label'|trans({}, 'frontends') }}</label>
                                    </div>
                                    <div class="input-group-append">
                                        <button type="button" class="btn btn-light image-preview-clear input-group-text" style="display:none;">{{ 'clear.label'|trans({}, 'frontends') }}</button>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>

                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>
                <button type="button" class="btn btn-primary" id="sub-upload-pic-form">{{ 'save.changes.label'|trans({}, 'frontends') }}</button>
            </div>
        </div>
    </div>
</div>

